tt_message_send(library call)

NAME
tt_message_send — send a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_send(
Tt_message m);

DESCRIPTION

The tt_message_send function sends the specified message.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_send function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_ADDRESS
    The specified Tt_address is invalid.

TT_ERR_CLASS
    The specified Tt_class is invalid.

TT_ERR_FILE
    The specified file does not exist or it is inaccessible.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OBJID
    The objid passed to the ToolTalk service does not reference an existing object spec.

TT_ERR_OTYPE
    The specified object type is not the name of an installed object type.

TT_ERR_OVERFLOW
    The ToolTalk service has more active messages than it can handle. (The maximum number of active messages is implementation specific, but is at least 2000.)

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_PROCID
    The specified process identifier is out of date or invalid.

TT_ERR_SESSION
    The specified ToolTalk session is out of date or invalid.

TT_WRN_STALE_OBJID
    The object attribute in the message has been replaced with a newer one.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).